N1=10000;
N2=10000;
h=0.2;
a=-3;
b=3;
X=[];
for i=1:N2
  U=grand(1,N1,'bin',1,1/2);
  V=2*(U-0.5*ones(1,N1));
  X=[X sum(V)/sqrt(N1)];
end,
clf();
t=a-h;
T=[];
approx=[];
while (t<b)
  t=t+h/2;
  T=[T t];
  C=find(X<t+h);
  D=find(X>t);
  E=intersect(C,D);
  approx=[approx length(E)/(h*N2)];
end,
clf();
plot2d(T,approx,5,rect=[a-0.5,-0.5,b+0.5,max(approx)+0.5]);
drawaxis(x=[a-0.5,1,b+0.5],y=0,dir='d',tics='v');
drawaxis(x=0,y=[-0.5,1,max(approx)+0.5],dir='r',tics='v');
